# QVM: Quaternions, Vectors, Matrices

### operator==(quat,quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            bool operator==( A const & a, B const & b );
        }
    }

#### Returns:

true if each element of a compares equal to its corresponding element of b, false otherwise.

See also: boost/qvm/quat_operations.hpp | cmp(quat,quat) | operator!=(quat,quat)